/* mr2ice.cmd Version 1.10                                     */
/* script to start MR/2Ice from Mozilla via the mailto: link           */
/*                                                                    */
/* to use this script you have to change the prefs.js file            */
/* please add/change the following three lines in prefs.js            */
/* please change "H:\\temp\\mr2ice.cmd" with your path to mr2ice.cmd  */
/*     user_pref("applications.mailto", "H:\\temp\\mr2ice.cmd");      */
/*     user_pref("applications.mailto.parameters", "\"%url%\"");      */
/*     user_pref("network.protocol-handler.external.mailto", true);   */
/*                                                                    */
/* You have also to change line 18, 22, 26 and 30 in this script          */
/* (c) 07.07.2002 Oliver Poggensee op@opweb.de http://www.opweb.de    */

/* name of the MR/2Ice account you want to use */
/* leave it blank (defaultAccount = "") if you have only one account, */
/* or want to use the default one */
/* Please change the line below to your needs */
defaultAccount = "test4.cfg"

/* full path to MR2i.exe */
/* Please change the line below to your needs */
program = "H:\temp\mr2ice\mr2i.EXE"

/* path where  RexxWeb & RexxUni are stored */
/* Please change the line below to your needs */
rexxdll="h:\Working\source\pmmailMozilla"

/* directory where mr2i.exe is stored */
/* Please change the line below to your needs */
mr2icepath = "H:\temp\mr2ice"

/* Get the argument */
Parse arg url

/* delete leeding and traling spaces */
url = Strip(url)

/* delete the first and last two characters (\") */
url = Right(url, Length(url) -2)
url = Left(url, Length(url) - 2)

/* Change to the directory which contains RexxWeb & RexxUni dll's */
rc = Directory(rexxdll)

/* Load the RexxWeb dll */
call RxFuncAdd 'RexxwebLoadFuncs', 'REXXWEB', 'RexxwebLoadFuncs'
call RexxwebLoadFuncs

/* Load the Rexx Unicode dll */
Call RxFuncAdd 'UniLoadFuncs', 'RexxUni', 'UniLoadFuncs'
Call UniLoadFuncs

/* decode the URL encoded characters */
/* carige return and line feed will be deleted */
rc = URL2Ascii('url' ,CL)

/* change the codepage from 819(ISO 8859-1) to System default */
url = UniXlat(url, "0", "819")

/* change to the MR/2Ice directory */
rc = Directory(mr2icepath)

/* start MR/2Ice */
If defaultAccount = "" Then
    program '"/E' || url || '"'
Else
    program  '"/M' || defaultAccount || '" "/E' || url || '"'

return

